#!/bin/sh
#
# Builds the jar file for just the Processing classes
# It doesn't include the core classes because Processing's "Import Library"
# function adds all packages, which leads to some confusion
#
# Before running this script, run 'build-core-jar.sh'
#

base="`pwd`/..";

rm -rf roombacomm 

mkdir -p roombacomm/processing
cd roombacomm/processing

cp $base/processing/*.class .

cd ../..
jar -cf roombacomm-processing.jar roombacomm
